commit b0f42346f7f50754ccbeb3b9ccbee8affbd31724
Author: freddy77 <freddy77>
Date:   Wed May 20 16:36:58 2009 +0000

    add test on bcp

diff --git a/ChangeLog b/ChangeLog
index d58f97c..c770295 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed May 20 18:36:51 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/bcp.c: prevent core and return error
+
 Wed May 20 18:34:45 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/sql2tds.c: fix blob1 test
 
@@ -1553,4 +1556,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2789 2009/05/20 16:34:52 freddy77 Exp $
+$Id: ChangeLog,v 1.2790 2009/05/20 16:36:58 freddy77 Exp $
diff --git a/src/dblib/bcp.c b/src/dblib/bcp.c
index e407004..c629325 100644
--- a/src/dblib/bcp.c
+++ b/src/dblib/bcp.c
@@ -61,7 +61,7 @@
 #define MAX(a,b) ( (a) > (b) ? (a) : (b) )
 #endif
 
-TDS_RCSID(var, "$Id: bcp.c,v 1.184 2009/03/24 01:22:14 jklowden Exp $");
+TDS_RCSID(var, "$Id: bcp.c,v 1.185 2009/05/20 16:36:58 freddy77 Exp $");
 
 #ifdef HAVE_FSEEKO
 typedef off_t offset_type;
@@ -411,6 +411,11 @@ bcp_colfmt(DBPROCESS * dbproc, int host_colnum, int host_type, int host_prefixle
 		return FAIL;
 	}
 
+	if (host_colnum > dbproc->hostfileinfo->host_colcount) {
+		dbperror(dbproc, SYBECNOR, 0);
+		return FAIL;
+	}
+
 	if (host_prefixlen != 0 && host_prefixlen != 1 && host_prefixlen != 2 && host_prefixlen != 4 && host_prefixlen != -1) {
 		dbperror(dbproc, SYBEBCPREF, 0);
 		return FAIL;

